<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------
|               Top 10 Photos v1.2
|                  by
|        Philip "HobbyMan" Daly
|        http://www.hobbysites.net/
+----------------------------------------------------*/


require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";


if (file_exists(INFUSIONS."top_10_photos_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."top_10_photos_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."top_10_photos_panel/locale/English.php";
}

	opentable($locale['PR100']);
	
	$result = dbquery("SELECT * FROM ".$db_prefix."photos ORDER BY photo_views DESC LIMIT 0,10");
	if (dbrows($result) !=0) {
		echo "<table cellpadding='2' cellspacing='2' width='90%' align='center'><td align='center' width='120'><b>".$locale['PR101']."</b></td><td align='center'><b>".$locale['PR104']."</b></td><td width='50%'><b>".$locale['PR103']."</b></td>";
		while ($data = dbarray($result)) {
		    $itemdescription = trimlink($data['photo_description'], 200);
			$photo_title = $data['photo_title'];
			$album_id = $data['album_id'];
			$photo_id = $data['photo_id'];
			$photo_views= $data['photo_views'];
			echo "<tr><td align='center' width='120'>
		

		<a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."' title='".$photo_title."'><img src='".BASEDIR."images/photoalbum/"."album_".$data['album_id']."/".$data['photo_thumb1']."' border='0'><br /><img src='".THEME."images/bullet.gif' alt='Bullet' border='0'> ".trimlink($photo_title,20)."</a></td><td align='center'>".$photo_views." ".$locale['PR105']."<br /></td><td width='50%'><div align='center' style='margin:5px 0px 5px 0px'>\n";
		if ($data['photo_description']) echo nl2br(parseubb($data['photo_description']))."<br></td></tr><tr><td colspan='3'><hr></td></tr>";
		}
		echo "</table>";
	} 
	else {
		echo "<center>".$locale['PR110']."</center>\n";
	}
	closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>